Bug 188462 - Review Request: bmp-musepack - Mpegplus (mpc) playback plugin for BMP
Review Request: bmp-musepack - Mpegplus (mpc) playback plugin for BMP
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-10 06:14 EDT by Matthias Saou
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-04 07:50:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2006-04-10 06:14:09 EDT
Spec Name or Url: http://svn.rpmforge.net/svn/trunk/rpms/bmp-musepack/
SRPM Name or Url: http://freshrpms.net/rpm/bmp-musepack
Description:
This package contains an MPC playback plugin for BMP (Beep Media Player),
a media player that uses a skinned user interface based on Winamp 2.x skins,
and is based on ("forked off") XMMS.

Now that libmpcdec has been included into Extras, this plugin can be too.
Comment 1 Eric Tanguy 2006-04-12 02:10:47 EDT
Needs work:
* Source 0 is not available
(http://musepack.origean.net/files/linux/plugins/bmp-musepack-1.2.tar.bz2)
  (wiki: QAChecklist item 2)
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* BuildRequires: gcc-c++ should not be included
  (wiki: PackagingGuidelines#Exceptions)
Comment 2 Michael Schwendt 2006-04-12 05:44:12 EDT
* A huge blocker is that it fails at run-time. The code formerly
taken from XMMS has not been updated to stay in sync with the
progress in BMP.

The plugin still uses plain fopen() and also libmpcdec's internal
stream I/O interface whereas BMP has advanced to implement VFS
features. The files/URLs passed on from BMP to the plugins have
prefixes like 'file://' or 'http://' and escaped special characters,
e.g. %20 for space. The plugin fails to read such input:

[xmms-musepack] mpcGetSongInfo is unable to open
file:///home/qa/files/audio/test/Paul%20Blackford%20-%20The%20Great%20Bath%20-%20Ambient%20Remake.mpc
: No such file or directory
[xmms-musepack] mpcGetSongInfo is unable to open http://localhost/test/test.mpc
: No such file or directory

While it would be trivial to patch the code and strip off a 'file://'
prefix to make it work with local files, it would be more work to
replace libmpcdec's stream I/O functions with something compatible
with the VFS features.

* Upstream download location has moved to:
http://files2.musepack.net/linux/plugins/bmp-musepack-1.2.tar.bz2
Comment 3 Matthias Saou 2006-05-03 16:07:58 EDT
I've contacted the author about this issue. Thanks a lot for spotting it, as I
thought I had some strange ape/id3 tag problem on the mpc files I was trying to
open with that plugin...
Comment 4 Matthias Saou 2006-07-04 07:50:46 EDT
Closing as WONTFIX since the author doesn't seem to have time or motivation to
fix the plugin, and the newer bmpx is gstreamer-based now anyway.

Note You need to log in before you can comment on or make changes to this bug.